WEBPMUX(1)

NAME
webpmux - command line tool to create WebP Mux/container file.

SYNOPSIS
webpmux -get GET_OPTIONS INPUT -o OUTPUT
webpmux -set SET_OPTIONS INPUT -o OUTPUT
webpmux -strip STRIP_OPTIONS INPUT -o OUTPUT
webpmux -frame FRAME_OPTIONS [ -frame ... ] [ -loop LOOP_COUNT ]
    [ -bgcolor BACKGROUND_COLOR ] -o OUTPUT
webpmux -info INPUT
webpmux [-h|-help]
webpmux -version

DESCRIPTION
This manual page documents the webpmux command.

webpmux can be used to create a WebP container file and extract/strip relevant data from the container file.

OPTIONS

  GET_OPTIONS (-get):

icc Get ICC profile.

exif
    Get EXIF metadata.

xmp Get XMP metadata.

frame n
    Get nth frame.

  SET_OPTIONS (-set)

icc file.icc
    Set ICC profile.

Where: 'file.icc' contains the ICC profile to be set.

exif file.exif
    Set EXIF metadata.

Where: 'file.exif' contains the EXIF metadata to be set.

xmp file.xmp
    Set XMP metadata.

Where: 'file.xmp' contains the XMP metadata to be set.

  STRIP_OPTIONS (-strip)

icc Strip ICC profile.

exif
    Strip EXIF metadata.

xmp Strip XMP metadata.

  FRAME_OPTIONS (-frame)

file_i +di[+xi+yi[+mi[bi]]]
    Where: 'file_i' is the i'th frame (WebP format), 'xi','yi' specify the image offset for this frame, 'di' is the pause duration before next frame, 'mi' is the dispose method for this frame (0 for NONE or 1 for BACKGROUND) and 'bi' is the blending method for this frame (+b for BLEND or -b for NO_BLEND). Argument 'bi' can be omitted and will default to +b (BLEND). Also, 'mi' can be omitted if 'bi' is omitted and will default to 0 (NONE). Finally, if 'mi' and 'bi' are omitted then 'xi' and 'yi' can be omitted and will default to +0+0.

-loop n
    Loop the frames n number of times. 0 indicates the frames should loop forever. Valid range is 0 to 65535 [Default: 0 (infinite)].

-bgcolor A,R,G,B
    Background color of the canvas.
    where: 'A', 'R', 'G' and 'B' are integers in the range 0 to 255 specifying the Alpha, Red, Green and Blue component values respectively [Default: 255,255,255,255].

  INPUT

Input file in WebP format.

  OUTPUT (-o)

Output file in WebP format.

  Note:

The nature of EXIF, XMP and ICC data is not checked and is assumed to be valid.

BUGS
Please report all bugs to our issue tracker: http://code.google.com/p/webp/issues
Patches welcome! See this page to get started: http://www.webmproject.org/code/contribute/submitting-patches/

EXAMPLES
webpmux -set icc image_profile.icc in.webp -o icc_container.webp
webpmux -get icc icc_container.webp -o image_profile.icc
webpmux -strip icc icc_container.webp -o without_icc.webp
webpmux -set xmp image_metadata.xmp in.webp -o xmp_container.webp
webpmux -get xmp xmp_container.webp -o image_metadata.xmp
webpmux -strip xmp xmp_container.webp -o without_xmp.webp
webpmux -set exif image_metadata.exif in.webp -o exif_container.webp
webpmux -get exif exif_container.webp -o image_metadata.exif
webpmux -strip exif exif_container.webp -o without_exif.webp
webpmux -frame anim_1.webp +100 -frame anim_2.webp +100+50+50
    -frame anim_2.webp +100+50+50+1+b -loop 10 -bgcolor 255,255,255,255
        -o anim_container.webp
    webpmux -get frame 2 anim_container.webp -o frame_2.webp
    webpmux -set icc image_profile.icc -o icc_container.webp -- ---in.webp
    webpmux -get icc -o image_profile.icc -- ---icc_container.webp
    webpmux -strip icc -o without_icc.webp -- ---icc_container.webp

AUTHORS
webpmux is written by the WebP team.
The latest source tree is available at http://www.webmproject.org/code

This manual page was written by Vikas Arora <vikaas.arora@gmail.com>, for the Debian project (and may be used by others).

SEE ALSO
cwebp(1), dwebp(1), gif2webp(1)
Please refer to http://developers.google.com/speed/webp/ for additional information.